> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Work Order Line Item

> This endpoint gets or creates a new work order line item.

### Body

<ParamField body="id" type="string">
  This is the id of the work order line item.
</ParamField>

<ParamField body="line_status" type="string">
  This is the status of the work order line item.
</ParamField>

<ParamField body="line_type" type="string">
  This is the type of the work order line item.
</ParamField>

<ParamField body="part_name" type="string">
  This is the name of the part of the work order line item.
</ParamField>

<ParamField body="part_number" type="string">
  This is the number of the part of the work order line item.
</ParamField>

<ParamField body="total_quantity" type="string">
  This is the total quantity of the part of the work order line item.
</ParamField>

<ParamField body="unit_quantity" type="string">
  This is the unit quantity of the part of the work order line item.
</ParamField>

<ParamField body="work_order_number" type="string">
  This is the work order number of the work order line item.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the id of the work order line item.
</ResponseField>

<ResponseField name="line_status" type="string">
  This is the status of the work order line item.
</ResponseField>

<ResponseField name="line_type" type="string">
  This is the type of the work order line item.
</ResponseField>

<ResponseField name="part_name" type="string">
  This is the name of the part of the work order line item.
</ResponseField>

<ResponseField name="part_number" type="string">
  This is the number of the part of the work order line item.
</ResponseField>

<ResponseField name="total_quantity" type="string">
  This is the total quantity of the part of the work order line item.
</ResponseField>

<ResponseField name="unit_quantity" type="string">
  This is the unit quantity of the part of the work order line item.
</ResponseField>

<ResponseField name="work_order_number" type="string">
  This is the work order number of the work order line item.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/work_order_line_item' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "example_1",
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    {
      "id": "example_1",
      "line_status": "example_1",
      "line_type": "example_1",
      "part_name": "example_1",
      "part_number": "example_1",
      "total_quantity": "example_1",
      "unit_quantity": "example_1",
      "work_order_number": "example_1"
    }
  }
  ```
</ResponseExample>

## Work Order Line Items

| Name                | Type    | Description                                                              |
| ------------------- | ------- | ------------------------------------------------------------------------ |
| id                  | Text    | Unique identifier for the line item                                      |
| line\_status        | Text    | Status or state of the line item                                         |
| line\_type          | Text    | Type or category of the line item                                        |
| part\_name          | Text    | Name of the part or item included in the line item                       |
| part\_number        | Text    | Number or code associated with the part or item                          |
| total\_quantity     | Numeric | Total quantity of the part or item required or used in the work order    |
| unit\_quantity      | Numeric | Quantity of the part or item required or used per unit in the work order |
| work\_order\_number | Text    | Number associated with the work order to which the line item belongs     |
